> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigmodel.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 解析文档图片

> 用于获取文件下解析到的图片序号和图片链接映射关系。点击 **Try it** 按钮可快速试用。



## OpenAPI

````yaml /openapi/openapi.json post /llm-application/open/document/slice/image_list/{id}
openapi: 3.0.1
info:
  title: ZHIPU AI API
  description: ZHIPU AI 接口提供强大的 AI 能力，包括聊天对话、工具调用和视频生成。
  license:
    name: ZHIPU AI 开发者协议和政策
    url: https://chat.z.ai/legal-agreement/terms-of-service
  version: 1.0.0
  contact:
    name: Z.AI 开发者
    url: https://chat.z.ai/legal-agreement/privacy-policy
    email: user_feedback@z.ai
servers:
  - url: https://open.bigmodel.cn/api/
    description: 开放平台服务
security:
  - bearerAuth: []
tags:
  - name: 模型 API
    description: Chat API
  - name: 工具 API
    description: Web Search API
  - name: Agent API
    description: Agent API
  - name: 文件 API
    description: File API
  - name: 知识库 API
    description: Knowledge API
  - name: 实时 API
    description: Realtime API
  - name: 批处理 API
    description: Batch API
  - name: 助理 API
    description: Assistant API
  - name: 智能体 API（旧）
    description: QingLiu Agent API
paths:
  /llm-application/open/document/slice/image_list/{id}:
    post:
      tags:
        - 知识库 API
      summary: 解析文档图片
      description: 用于获取文件下解析到的图片序号和图片链接映射关系。点击 **Try it** 按钮可快速试用。
      parameters:
        - name: id
          in: path
          required: true
          description: 文档ID
          schema:
            type: string
      responses:
        '200':
          description: 请求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/KnowledgeImageListResponse'
              example:
                data:
                  images:
                    - text: 【示意图序号_1829473032620613632_103】
                      cos_url: >-
                        https://cdn.bigmodel.cn/knowledge_pdf_image/de7163a7-c67f-4e33-8810-97a6d5a83378.png
                code: 200
                message: 请求成功
                timestamp: 1725070689634
        default:
          description: 请求失败
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LlmApplicationError'
components:
  schemas:
    KnowledgeImageListResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            images:
              type: array
              items:
                type: object
                properties:
                  text:
                    type: string
                    description: 图片序号文本
                  cos_url:
                    type: string
                    description: 图片链接
        code:
          type: integer
          description: 状态码
        message:
          type: string
          description: 返回信息
        timestamp:
          type: integer
          description: 时间戳
    LlmApplicationError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        标准的 HTTP Bearer 认证方式，在 [API
        Keys](https://bigmodel.cn/usercenter/proj-mgmt/apikeys) 页面获取密钥。

````